Package com.orchestranetworks.rest.util

# Interface URIBuilderForBuiltin.ForDataAndHistory

All Superinterfaces:
  `URIBuilderForBuiltin<URIBuilderForBuiltin.ForDataAndHistory>`, `URIBuilderForBuiltin.ForDataset<URIBuilderForBuiltin.ForDataAndHistory>`, `URIBuilderForBuiltin.ForDataspace<URIBuilderForBuiltin.ForDataAndHistory>`, `URIBuilderForBuiltin.ForNode<URIBuilderForBuiltin.ForDataAndHistory>`, `URIBuilderForBuiltin.ForRecord<URIBuilderForBuiltin.ForDataAndHistory>`, `URIBuilderForBuiltin.ForTable<URIBuilderForBuiltin.ForDataAndHistory>`

Enclosing interface:
  URIBuilderForBuiltin<T extends URIBuilderForBuiltin<T>>

public static interface URIBuilderForBuiltin.ForDataAndHistory extends URIBuilderForBuiltin.ForDataspace<URIBuilderForBuiltin.ForDataAndHistory>, URIBuilderForBuiltin.ForDataset<URIBuilderForBuiltin.ForDataAndHistory>, URIBuilderForBuiltin.ForNode<URIBuilderForBuiltin.ForDataAndHistory>, URIBuilderForBuiltin.ForRecord<URIBuilderForBuiltin.ForDataAndHistory>, URIBuilderForBuiltin.ForTable<URIBuilderForBuiltin.ForDataAndHistory>
Aggregates methods to generate built-in REST services `URI` to data and history category resources. since 6.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin

  `URIBuilderForBuiltin.ForDataAndHistory, URIBuilderForBuiltin.ForDataset<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForDataspace<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForNode<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForRecord<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForTable<T extends URIBuilderForBuiltin<T>>`

- ## Method Summary

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin

  `build, extendedAction, firstPage, lastPage, nextPage, pageSize, previousPage, queryParams, queryParams`

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin.ForDataset

  `buildForDataset, buildForDataset, dataset, dataset`

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin.ForDataspace

  `buildForDataspace, buildForDataspace, dataspace, dataspace`

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin.ForNode

  `buildForNode, buildForNode, node, node`

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin.ForRecord

  `buildForRecord, record`

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin.ForTable

  `buildForTable, table`